epp_ContactTransferRsp (EPP RTK Java API Documentation)
Keywords: org.openrtk.idl.epp0402.contact.epp_ContactTransferRsp class

### org.openrtk.idl.epp0402.contact

# Class epp_ContactTransferRsp

- `java.lang.Object`
- - `org.openrtk.idl.epp0402.contact.epp_ContactTransferRsp`

Implemented Interfaces:
  org.omg.CORBA.portable.IDLEntity

`public class epp_ContactTransferRsp`
`extends java.lang.Object`
`implements org.omg.CORBA.portable.IDLEntity`

Class that contains the elements used to represent the contact transfer response from the EPP server. Note usually instantiated by the RTK user, but rather by EPPContactTransfer and retrieved using that class' getResponseData() method. $Header: /cvsroot/epp-rtk/epp-rtk/java/src/org/openrtk/idl/epp0402/contact/epp_ContactTransferRsp.java,v 1.2 2003/09/10 21:29:55 tubadanm Exp $
$Revision: 1.2 $
$Date: 2003/09/10 21:29:55 $

See Also:
  `EPPContactTransfer`, `epp_ContactTransferReq`

  ## Field Summary
  `epp_Response` | `m_rsp` The common and generic response element.
  `epp_ContactTrnData` | `m_trn_data` The transfer data for the contact object in the registry.

  ## Constructor Summary
  `epp_ContactTransferRsp()` Empty constructor
  `epp_ContactTransferRsp(epp_Response _m_rsp, String _m_id, epp_TransferStatusType _m_transfer_status, String _m_request_client_id, String _m_request_date, String _m_action_client_id, String _m_action_date)` Deprecated. Please use epp_ContactTransferRsp(epp_Response, epp_ContactTrnData) instead
  `epp_ContactTransferRsp(epp_Response _m_rsp, epp_ContactTrnData _m_trn_data)` The constructor with initializing variables.

  ## Method Summary
  `String` | `getActionClientId()` Deprecated. Please use getTrnData() instead
  `String` | `getActionDate()` Deprecated. Please use getTrnData() instead
  `String` | `getId()` Deprecated. Please use getTrnData() instead
  `String` | `getRequestClientId()` Deprecated. Please use getTrnData() instead
  `String` | `getRequestDate()` Deprecated. Please use getTrnData() instead
  `String` | `getRoid()` Deprecated.
  `epp_Response` | `getRsp()` Accessor method for the common and generic response element.
  `epp_TransferStatusType` | `getTransferStatus()` Deprecated. Please use getTrnData() instead
  `epp_ContactTrnData` | `getTrnData()` Accessor method for the transfer data of the contact object in the registry
  `void` | `setActionClientId(String value)` Deprecated. Please use setTrnData(org.openrtk.idl.epp0402.contact.epp_ContactTrnData) instead
  `void` | `setActionDate(String value)` Deprecated. Please use setTrnData(org.openrtk.idl.epp0402.contact.epp_ContactTrnData) instead
  `void` | `setId(String value)` Deprecated. Please use setTrnData(org.openrtk.idl.epp0402.contact.epp_ContactTrnData) instead
  `void` | `setRequestClientId(String value)` Deprecated. Please use setTrnData(org.openrtk.idl.epp0402.contact.epp_ContactTrnData) instead
  `void` | `setRequestDate(String value)` Deprecated. Please use setTrnData(org.openrtk.idl.epp0402.contact.epp_ContactTrnData) instead
  `void` | `setRoid(String value)` Deprecated.
  `void` | `setRsp(epp_Response value)` Accessor method for the common and generic response element.
  `void` | `setTransferStatus(epp_TransferStatusType value)` Deprecated. Please use setTrnData(org.openrtk.idl.epp0402.contact.epp_ContactTrnData) instead
  `void` | `setTrnData(epp_ContactTrnData value)` Accessor method for the transfer data of the contact object in the registry
  `String` | `toString()` Converts this class into a string.

## Field Details

### m_rsp

    public epp_Response m_rsp

> The common and generic response element.
> See Also:
>   `getRsp()`

### m_trn_data

    public epp_ContactTrnData m_trn_data

> The transfer data for the contact object in the registry.
> See Also:
>   `setTrnData(epp_ContactTrnData)`, `getTrnData()`

## Constructor Details

### epp_ContactTransferRsp

    public epp_ContactTransferRsp()

> Empty constructor

### epp_ContactTransferRsp

    public epp_ContactTransferRsp(epp_Response _m_rsp,
                                  String _m_id,
                                  epp_TransferStatusType _m_transfer_status,
                                  String _m_request_client_id,
                                  String _m_request_date,
                                  String _m_action_client_id,
                                  String _m_action_date)

> Deprecated. Please use epp_ContactTransferRsp(epp_Response, epp_ContactTrnData) instead

> The constructor with initializing variables.
> Parameters:
>   `_m_rsp` - The common and generic response element
>   `_m_id` - The identifier for the contact object in the registry
>   `_m_transfer_status` - The transfer status associated with the contact object
>   `_m_request_client_id` - The identifier of the client that requested the contact object transfer
>   `_m_request_date` - The date that the contact transfer was requested
>   `_m_action_client_id` - The identifier of the client that should act upon the contact transfer request
>   `_m_action_date` - The required or completed action date to the contact transfer request

### epp_ContactTransferRsp

    public epp_ContactTransferRsp(epp_Response _m_rsp,
                                  epp_ContactTrnData _m_trn_data)

> The constructor with initializing variables.
> Parameters:
>   `_m_rsp` - The common and generic response element
>   `_m_trn_data` - The transfer data for the contact object in the registry

## Method Details

### getActionClientId

    public String getActionClientId()

> Deprecated. Please use getTrnData() instead

> Accessor method for the identifier of the client that should act upon the contact transfer request
> Returns:
>   The identifier of the client that should act upon the contact transfer request
> See Also:
>   `m_trn_data`

### getActionDate

    public String getActionDate()

> Deprecated. Please use getTrnData() instead

> Accessor method for the required or completed action date to the contact transfer request
> Returns:
>   The contact transfer action date
> See Also:
>   `m_trn_data`

### getId

    public String getId()

> Deprecated. Please use getTrnData() instead

> Accessor method for the identifier for the contact object in the registry
> Returns:
>   The contact id
> See Also:
>   `m_trn_data`

### getRequestClientId

    public String getRequestClientId()

> Deprecated. Please use getTrnData() instead

> Accessor method for the client that requested the contact object transfer
> Returns:
>   The client that requested the contact object transfer
> See Also:
>   `m_trn_data`

### getRequestDate

    public String getRequestDate()

> Deprecated. Please use getTrnData() instead

> Accessor method for the date that the contact transfer was requested
> Returns:
>   The date that the contact transfer was requested
> See Also:
>   `m_trn_data`

### getRoid

    public String getRoid()

> Deprecated.

> See Also:
>   `getId()`

### getRsp

    public epp_Response getRsp()

> Accessor method for the common and generic response element.
> Returns:
>   The value for the response element
> See Also:
>   `m_rsp`

### getTransferStatus

    public epp_TransferStatusType getTransferStatus()

> Deprecated. Please use getTrnData() instead

> Accessor method for the transfer status associated with the contact object
> Returns:
>   The contact transfer status
> See Also:
>   `m_trn_data`

### getTrnData

    public epp_ContactTrnData getTrnData()

> Accessor method for the transfer data of the contact object in the registry
> Returns:
>   The contact's transfer data
> See Also:
>   `m_trn_data`

### setActionClientId

    public void setActionClientId(String value)

> Deprecated. Please use setTrnData(org.openrtk.idl.epp0402.contact.epp_ContactTrnData) instead

> Accessor method for the identifier of the client that should act upon the contact transfer request
> Parameters:
>   `value` - The identifier of the client that should act upon the contact transfer request
> See Also:
>   `m_trn_data`

### setActionDate

    public void setActionDate(String value)

> Deprecated. Please use setTrnData(org.openrtk.idl.epp0402.contact.epp_ContactTrnData) instead

> Accessor method for the required or completed action date to the contact transfer request
> Parameters:
>   `value` - The contact transfer action date
> See Also:
>   `m_trn_data`

### setId

    public void setId(String value)

> Deprecated. Please use setTrnData(org.openrtk.idl.epp0402.contact.epp_ContactTrnData) instead

> Accessor method for the identifier for the contact object in the registry
> Parameters:
>   `value` - The contact id
> See Also:
>   `m_trn_data`

### setRequestClientId

    public void setRequestClientId(String value)

> Deprecated. Please use setTrnData(org.openrtk.idl.epp0402.contact.epp_ContactTrnData) instead

> Accessor method for the client that requested the contact object transfer
> Parameters:
>   `value` - The client that requested the contact object transfer
> See Also:
>   `m_trn_data`

### setRequestDate

    public void setRequestDate(String value)

> Deprecated. Please use setTrnData(org.openrtk.idl.epp0402.contact.epp_ContactTrnData) instead

> Accessor method for the date that the contact transfer was requested
> Parameters:
>   `value` - The date that the contact transfer was requested
> See Also:
>   `m_trn_data`

### setRoid

    public void setRoid(String value)

> Deprecated.

> See Also:
>   `setId(String)`

### setRsp

    public void setRsp(epp_Response value)

> Accessor method for the common and generic response element.
> Parameters:
>   `value` - The new value for the response element
> See Also:
>   `m_rsp`

### setTransferStatus

    public void setTransferStatus(epp_TransferStatusType value)

> Deprecated. Please use setTrnData(org.openrtk.idl.epp0402.contact.epp_ContactTrnData) instead

> Accessor method for the transfer status associated with the contact object
> Parameters:
>   `value` - The contact transfer status
> See Also:
>   `m_trn_data`

### setTrnData

    public void setTrnData(epp_ContactTrnData value)

> Accessor method for the transfer data of the contact object in the registry
> Parameters:
>   `value` - The contact's transfer data
> See Also:
>   `m_trn_data`

### toString

    public String toString()

> Converts this class into a string. Typically used to view the object in debug output.
> Returns:
>   The string representation of this object instance

Copyright © 2001-2002 - Tucows, Inc., 2003 - LibertyRMS